- Main Page
- Namespaces
- Classes
- Files

- Search for |

- File List
- File Members

# RTPortableServerC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/RTPortableServer/rtportableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PortableServer/PortableServer_includeC.h"`
`#include "tao/RTCORBA/RTCORBA_includeC.h"`

Include dependency graph for RTPortableServerC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | RTPortableServer
namespace | TAO
## Classes
class | RTPortableServer::POA
struct | TAO::Objref_Traits< ::RTPortableServer::POA >
## Defines
#define | TAO_EXPORT_MACRO TAO_RTPortableServer_Export
#define | _RTPORTABLESERVER_POA__VAR_OUT_CH_
#define | _RTPORTABLESERVER_POA_CH_
#define | _RTPORTABLESERVER_POA__TRAITS_CH_
## Typedefs
typedef POA * | RTPortableServer::POA_ptr
typedef TAO_Objref_Var_T< POA > | RTPortableServer::POA_var
typedef TAO_Objref_Out_T< POA > | RTPortableServer::POA_out
## Functions
TAO_RTPortableServer_Export void | operator<<= (CORBA::Any &, RTPortableServer::POA_ptr)
TAO_RTPortableServer_Export void | operator<<= (CORBA::Any &, RTPortableServer::POA_ptr *)
TAO_RTPortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTPortableServer::POA_ptr &)
## Variables
TAO_RTPortableServer_Export::CORBA::TypeCode_ptr const | RTPortableServer::_tc_POA

## Define Documentation

#define _RTPORTABLESERVER_POA__TRAITS_CH_

#define _RTPORTABLESERVER_POA__VAR_OUT_CH_

#define _RTPORTABLESERVER_POA_CH_

#define TAO_EXPORT_MACRO TAO_RTPortableServer_Export

## Function Documentation

TAO_RTPortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTPortableServer::POA_ptr * |  |
| ) |  |  |

TAO_RTPortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTPortableServer::POA_ptr |  |
| ) |  |  |

TAO_RTPortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTPortableServer::POA_ptr & |  |
| ) |  |  |